org.eclnt.jsfserver.elements.componentnodes

## Class TRACKNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.TRACKNode

- All Implemented Interfaces:
    java.io.Serializable

      public class TRACKNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TRACKNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TRACKNode` | `bindComment(IDynamicContentBindingObject value)`
    `TRACKNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `TRACKNode` | `bindDefault(IDynamicContentBindingObject value)`
    `TRACKNode` | `bindKind(IDynamicContentBindingObject value)`
    `TRACKNode` | `bindLabel(IDynamicContentBindingObject value)`
    `TRACKNode` | `bindRendered(IDynamicContentBindingObject value)`
    `TRACKNode` | `bindSrc(IDynamicContentBindingObject value)`
    `TRACKNode` | `bindSrclang(IDynamicContentBindingObject value)`
    `TRACKNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `TRACKNode` | `setAttributemacro(java.lang.String value)`
    `TRACKNode` | `setComment(java.lang.String value)`
    `TRACKNode` | `setConfiginfo(java.lang.String value)`
    `TRACKNode` | `setDefault(java.lang.String value)`
    `TRACKNode` | `setId(java.lang.String value)`
    `TRACKNode` | `setKind(java.lang.String value)`
    `TRACKNode` | `setLabel(java.lang.String value)`
    `TRACKNode` | `setReference(java.lang.String value)`
    `TRACKNode` | `setRendered(boolean value)`
    `TRACKNode` | `setRendered(java.lang.String value)`
    `TRACKNode` | `setSrc(java.lang.String value)`
    `TRACKNode` | `setSrclang(java.lang.String value)`
    `TRACKNode` | `setStylevariant(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TRACKNode

          public TRACKNode()

  - ### Method Detail

    - #### setId

          public TRACKNode setId(java.lang.String value)

    - #### setAttributemacro

          public TRACKNode setAttributemacro(java.lang.String value)

    - #### setComment

          public TRACKNode setComment(java.lang.String value)

    - #### bindComment

          public TRACKNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public TRACKNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public TRACKNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDefault

          public TRACKNode setDefault(java.lang.String value)

    - #### bindDefault

          public TRACKNode bindDefault(IDynamicContentBindingObject value)

    - #### setKind

          public TRACKNode setKind(java.lang.String value)

    - #### bindKind

          public TRACKNode bindKind(IDynamicContentBindingObject value)

    - #### setLabel

          public TRACKNode setLabel(java.lang.String value)

    - #### bindLabel

          public TRACKNode bindLabel(IDynamicContentBindingObject value)

    - #### setReference

          public TRACKNode setReference(java.lang.String value)

    - #### setRendered

          public TRACKNode setRendered(java.lang.String value)

    - #### bindRendered

          public TRACKNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public TRACKNode setRendered(boolean value)

    - #### setSrc

          public TRACKNode setSrc(java.lang.String value)

    - #### bindSrc

          public TRACKNode bindSrc(IDynamicContentBindingObject value)

    - #### setSrclang

          public TRACKNode setSrclang(java.lang.String value)

    - #### bindSrclang

          public TRACKNode bindSrclang(IDynamicContentBindingObject value)

    - #### setStylevariant

          public TRACKNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public TRACKNode bindStylevariant(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.